
package ca.canadapost.cpcdp.pickup.stub.pickupavailability;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;choice>
 *         &lt;element name="pickup-availability">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="postal-code" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                   &lt;element name="on-demand-cutoff" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                   &lt;element name="on-demand-tour" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *                   &lt;element name="prority-world-cutoff" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                   &lt;element name="scheduled-pickups-available" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="messages" type="{http://www.canadapost.ca/ws/soap/pickup/availability}messages"/>
 *       &lt;/choice>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "pickupAvailability",
    "messages"
})
@XmlRootElement(name = "get-pickup-availability-response")
public class GetPickupAvailabilityResponse {

    @XmlElement(name = "pickup-availability")
    protected GetPickupAvailabilityResponse.PickupAvailability pickupAvailability;
    protected Messages messages;

    /**
     * Gets the value of the pickupAvailability property.
     * 
     * @return
     *     possible object is
     *     {@link GetPickupAvailabilityResponse.PickupAvailability }
     *     
     */
    public GetPickupAvailabilityResponse.PickupAvailability getPickupAvailability() {
        return pickupAvailability;
    }

    /**
     * Sets the value of the pickupAvailability property.
     * 
     * @param value
     *     allowed object is
     *     {@link GetPickupAvailabilityResponse.PickupAvailability }
     *     
     */
    public void setPickupAvailability(GetPickupAvailabilityResponse.PickupAvailability value) {
        this.pickupAvailability = value;
    }

    /**
     * Gets the value of the messages property.
     * 
     * @return
     *     possible object is
     *     {@link Messages }
     *     
     */
    public Messages getMessages() {
        return messages;
    }

    /**
     * Sets the value of the messages property.
     * 
     * @param value
     *     allowed object is
     *     {@link Messages }
     *     
     */
    public void setMessages(Messages value) {
        this.messages = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="postal-code" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *         &lt;element name="on-demand-cutoff" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *         &lt;element name="on-demand-tour" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
     *         &lt;element name="prority-world-cutoff" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *         &lt;element name="scheduled-pickups-available" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "postalCode",
        "onDemandCutoff",
        "onDemandTour",
        "prorityWorldCutoff",
        "scheduledPickupsAvailable"
    })
    public static class PickupAvailability {

        @XmlElement(name = "postal-code", required = true)
        protected String postalCode;
        @XmlElement(name = "on-demand-cutoff", required = true)
        protected String onDemandCutoff;
        @XmlElement(name = "on-demand-tour")
        protected boolean onDemandTour;
        @XmlElement(name = "prority-world-cutoff", required = true)
        protected String prorityWorldCutoff;
        @XmlElement(name = "scheduled-pickups-available")
        protected boolean scheduledPickupsAvailable;

        /**
         * Gets the value of the postalCode property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getPostalCode() {
            return postalCode;
        }

        /**
         * Sets the value of the postalCode property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setPostalCode(String value) {
            this.postalCode = value;
        }

        /**
         * Gets the value of the onDemandCutoff property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getOnDemandCutoff() {
            return onDemandCutoff;
        }

        /**
         * Sets the value of the onDemandCutoff property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setOnDemandCutoff(String value) {
            this.onDemandCutoff = value;
        }

        /**
         * Gets the value of the onDemandTour property.
         * 
         */
        public boolean isOnDemandTour() {
            return onDemandTour;
        }

        /**
         * Sets the value of the onDemandTour property.
         * 
         */
        public void setOnDemandTour(boolean value) {
            this.onDemandTour = value;
        }

        /**
         * Gets the value of the prorityWorldCutoff property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getProrityWorldCutoff() {
            return prorityWorldCutoff;
        }

        /**
         * Sets the value of the prorityWorldCutoff property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setProrityWorldCutoff(String value) {
            this.prorityWorldCutoff = value;
        }

        /**
         * Gets the value of the scheduledPickupsAvailable property.
         * 
         */
        public boolean isScheduledPickupsAvailable() {
            return scheduledPickupsAvailable;
        }

        /**
         * Sets the value of the scheduledPickupsAvailable property.
         * 
         */
        public void setScheduledPickupsAvailable(boolean value) {
            this.scheduledPickupsAvailable = value;
        }

    }

}
