
package ca.canadapost.cpcdp.pickup.stub.pickuprequest;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for PickupRequestUpdateDetailsType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PickupRequestUpdateDetailsType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="contact-info" type="{http://www.canadapost.ca/ws/soap/pickuprequest}ContactInfoType"/>
 *         &lt;element name="location-details" type="{http://www.canadapost.ca/ws/soap/pickuprequest}LocationDetailsType"/>
 *         &lt;element name="items-characteristics" type="{http://www.canadapost.ca/ws/soap/pickuprequest}ItemsCharacteristicsUpdateDetailsType" minOccurs="0"/>
 *         &lt;element name="pickup-volume" type="{http://www.canadapost.ca/ws/soap/pickuprequest}PickupVolumeType"/>
 *         &lt;element name="pickup-times" type="{http://www.canadapost.ca/ws/soap/pickuprequest}PickupTimesType"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PickupRequestUpdateDetailsType", propOrder = {
    "contactInfo",
    "locationDetails",
    "itemsCharacteristics",
    "pickupVolume",
    "pickupTimes"
})
public class PickupRequestUpdateDetailsType {

    @XmlElement(name = "contact-info", required = true)
    protected ContactInfoType contactInfo;
    @XmlElement(name = "location-details", required = true)
    protected LocationDetailsType locationDetails;
    @XmlElement(name = "items-characteristics")
    protected ItemsCharacteristicsUpdateDetailsType itemsCharacteristics;
    @XmlElement(name = "pickup-volume", required = true)
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String pickupVolume;
    @XmlElement(name = "pickup-times", required = true)
    protected PickupTimesType pickupTimes;

    /**
     * Gets the value of the contactInfo property.
     * 
     * @return
     *     possible object is
     *     {@link ContactInfoType }
     *     
     */
    public ContactInfoType getContactInfo() {
        return contactInfo;
    }

    /**
     * Sets the value of the contactInfo property.
     * 
     * @param value
     *     allowed object is
     *     {@link ContactInfoType }
     *     
     */
    public void setContactInfo(ContactInfoType value) {
        this.contactInfo = value;
    }

    /**
     * Gets the value of the locationDetails property.
     * 
     * @return
     *     possible object is
     *     {@link LocationDetailsType }
     *     
     */
    public LocationDetailsType getLocationDetails() {
        return locationDetails;
    }

    /**
     * Sets the value of the locationDetails property.
     * 
     * @param value
     *     allowed object is
     *     {@link LocationDetailsType }
     *     
     */
    public void setLocationDetails(LocationDetailsType value) {
        this.locationDetails = value;
    }

    /**
     * Gets the value of the itemsCharacteristics property.
     * 
     * @return
     *     possible object is
     *     {@link ItemsCharacteristicsUpdateDetailsType }
     *     
     */
    public ItemsCharacteristicsUpdateDetailsType getItemsCharacteristics() {
        return itemsCharacteristics;
    }

    /**
     * Sets the value of the itemsCharacteristics property.
     * 
     * @param value
     *     allowed object is
     *     {@link ItemsCharacteristicsUpdateDetailsType }
     *     
     */
    public void setItemsCharacteristics(ItemsCharacteristicsUpdateDetailsType value) {
        this.itemsCharacteristics = value;
    }

    /**
     * Gets the value of the pickupVolume property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPickupVolume() {
        return pickupVolume;
    }

    /**
     * Sets the value of the pickupVolume property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPickupVolume(String value) {
        this.pickupVolume = value;
    }

    /**
     * Gets the value of the pickupTimes property.
     * 
     * @return
     *     possible object is
     *     {@link PickupTimesType }
     *     
     */
    public PickupTimesType getPickupTimes() {
        return pickupTimes;
    }

    /**
     * Sets the value of the pickupTimes property.
     * 
     * @param value
     *     allowed object is
     *     {@link PickupTimesType }
     *     
     */
    public void setPickupTimes(PickupTimesType value) {
        this.pickupTimes = value;
    }

}
