
package ca.canadapost.cpcdp.returns.stub.openreturn;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the ca.canadapost.cpcdp.returns.stub.openreturn package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: ca.canadapost.cpcdp.returns.stub.openreturn
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link RetrieveNextOpenReturnArtifactResponse }
     * 
     */
    public RetrieveNextOpenReturnArtifactResponse createRetrieveNextOpenReturnArtifactResponse() {
        return new RetrieveNextOpenReturnArtifactResponse();
    }

    /**
     * Create an instance of {@link Messages }
     * 
     */
    public Messages createMessages() {
        return new Messages();
    }

    /**
     * Create an instance of {@link CreateOpenReturnTemplateResponse }
     * 
     */
    public CreateOpenReturnTemplateResponse createCreateOpenReturnTemplateResponse() {
        return new CreateOpenReturnTemplateResponse();
    }

    /**
     * Create an instance of {@link OpenReturnInfoType }
     * 
     */
    public OpenReturnInfoType createOpenReturnInfoType() {
        return new OpenReturnInfoType();
    }

    /**
     * Create an instance of {@link RetrieveNextOpenReturnArtifactRequest }
     * 
     */
    public RetrieveNextOpenReturnArtifactRequest createRetrieveNextOpenReturnArtifactRequest() {
        return new RetrieveNextOpenReturnArtifactRequest();
    }

    /**
     * Create an instance of {@link GetOpenReturnTemplatesResponse }
     * 
     */
    public GetOpenReturnTemplatesResponse createGetOpenReturnTemplatesResponse() {
        return new GetOpenReturnTemplatesResponse();
    }

    /**
     * Create an instance of {@link OpenReturnTemplatesInfoType }
     * 
     */
    public OpenReturnTemplatesInfoType createOpenReturnTemplatesInfoType() {
        return new OpenReturnTemplatesInfoType();
    }

    /**
     * Create an instance of {@link GetOpenReturnTemplatesRequest }
     * 
     */
    public GetOpenReturnTemplatesRequest createGetOpenReturnTemplatesRequest() {
        return new GetOpenReturnTemplatesRequest();
    }

    /**
     * Create an instance of {@link GetOpenReturnTemplateDetailsResponse }
     * 
     */
    public GetOpenReturnTemplateDetailsResponse createGetOpenReturnTemplateDetailsResponse() {
        return new GetOpenReturnTemplateDetailsResponse();
    }

    /**
     * Create an instance of {@link OpenReturnDetailsType }
     * 
     */
    public OpenReturnDetailsType createOpenReturnDetailsType() {
        return new OpenReturnDetailsType();
    }

    /**
     * Create an instance of {@link GetOpenReturnTemplateResponse }
     * 
     */
    public GetOpenReturnTemplateResponse createGetOpenReturnTemplateResponse() {
        return new GetOpenReturnTemplateResponse();
    }

    /**
     * Create an instance of {@link GetOpenReturnTemplateDetailsRequest }
     * 
     */
    public GetOpenReturnTemplateDetailsRequest createGetOpenReturnTemplateDetailsRequest() {
        return new GetOpenReturnTemplateDetailsRequest();
    }

    /**
     * Create an instance of {@link DeleteOpenReturnTemplateRequest }
     * 
     */
    public DeleteOpenReturnTemplateRequest createDeleteOpenReturnTemplateRequest() {
        return new DeleteOpenReturnTemplateRequest();
    }

    /**
     * Create an instance of {@link DeleteOpenReturnTemplateResponse }
     * 
     */
    public DeleteOpenReturnTemplateResponse createDeleteOpenReturnTemplateResponse() {
        return new DeleteOpenReturnTemplateResponse();
    }

    /**
     * Create an instance of {@link GetOpenReturnTemplateRequest }
     * 
     */
    public GetOpenReturnTemplateRequest createGetOpenReturnTemplateRequest() {
        return new GetOpenReturnTemplateRequest();
    }

    /**
     * Create an instance of {@link CreateOpenReturnTemplateRequest }
     * 
     */
    public CreateOpenReturnTemplateRequest createCreateOpenReturnTemplateRequest() {
        return new CreateOpenReturnTemplateRequest();
    }

    /**
     * Create an instance of {@link OpenReturnType }
     * 
     */
    public OpenReturnType createOpenReturnType() {
        return new OpenReturnType();
    }

    /**
     * Create an instance of {@link RetrieveNextOpenReturnArtifactResponse.ArtifactData }
     * 
     */
    public RetrieveNextOpenReturnArtifactResponse.ArtifactData createRetrieveNextOpenReturnArtifactResponseArtifactData() {
        return new RetrieveNextOpenReturnArtifactResponse.ArtifactData();
    }

    /**
     * Create an instance of {@link DomesticAddressType }
     * 
     */
    public DomesticAddressType createDomesticAddressType() {
        return new DomesticAddressType();
    }

    /**
     * Create an instance of {@link SettlementInfoType }
     * 
     */
    public SettlementInfoType createSettlementInfoType() {
        return new SettlementInfoType();
    }

    /**
     * Create an instance of {@link DomesticAddressDetailsType }
     * 
     */
    public DomesticAddressDetailsType createDomesticAddressDetailsType() {
        return new DomesticAddressDetailsType();
    }

    /**
     * Create an instance of {@link PrintPreferencesType }
     * 
     */
    public PrintPreferencesType createPrintPreferencesType() {
        return new PrintPreferencesType();
    }

    /**
     * Create an instance of {@link Messages.Message }
     * 
     */
    public Messages.Message createMessagesMessage() {
        return new Messages.Message();
    }

}
