
package ca.canadapost.cpcdp.shipping.stub.shipment;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for ShipmentsType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ShipmentsType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;choice>
 *           &lt;element name="shipment-id" type="{http://www.canadapost.ca/ws/soap/shipment/v8}ShipmentIDType" maxOccurs="unbounded" minOccurs="0"/>
 *           &lt;element name="shipment-info" type="{http://www.canadapost.ca/ws/soap/shipment/v8}ShipmentInfoType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ShipmentsType", propOrder = {
    "shipmentId",
    "shipmentInfo"
})
public class ShipmentsType {

    @XmlElement(name = "shipment-id")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected List<String> shipmentId;
    @XmlElement(name = "shipment-info")
    protected List<ShipmentInfoType> shipmentInfo;

    /**
     * Gets the value of the shipmentId property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the shipmentId property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getShipmentId().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getShipmentId() {
        if (shipmentId == null) {
            shipmentId = new ArrayList<String>();
        }
        return this.shipmentId;
    }

    /**
     * Gets the value of the shipmentInfo property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the shipmentInfo property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getShipmentInfo().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ShipmentInfoType }
     * 
     * 
     */
    public List<ShipmentInfoType> getShipmentInfo() {
        if (shipmentInfo == null) {
            shipmentInfo = new ArrayList<ShipmentInfoType>();
        }
        return this.shipmentInfo;
    }

}
