
package ca.canadapost.cpcdp.shipping.stub.customerinfo;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for PayerType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PayerType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="payer-number" type="{http://www.canadapost.ca/ws/soap/customer}PayerNumberType"/>
 *         &lt;element name="methods-of-payment" type="{http://www.canadapost.ca/ws/soap/customer}MethodsOfPaymentType"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PayerType", propOrder = {
    "payerNumber",
    "methodsOfPayment"
})
public class PayerType {

    @XmlElement(name = "payer-number", required = true)
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String payerNumber;
    @XmlElement(name = "methods-of-payment", required = true)
    protected MethodsOfPaymentType methodsOfPayment;

    /**
     * Gets the value of the payerNumber property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPayerNumber() {
        return payerNumber;
    }

    /**
     * Sets the value of the payerNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPayerNumber(String value) {
        this.payerNumber = value;
    }

    /**
     * Gets the value of the methodsOfPayment property.
     * 
     * @return
     *     possible object is
     *     {@link MethodsOfPaymentType }
     *     
     */
    public MethodsOfPaymentType getMethodsOfPayment() {
        return methodsOfPayment;
    }

    /**
     * Sets the value of the methodsOfPayment property.
     * 
     * @param value
     *     allowed object is
     *     {@link MethodsOfPaymentType }
     *     
     */
    public void setMethodsOfPayment(MethodsOfPaymentType value) {
        this.methodsOfPayment = value;
    }

}
