
package ca.canadapost.cpcdp.shipping.stub.shipment;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for ReturnSpecType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ReturnSpecType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;all>
 *         &lt;element name="service-code" type="{http://www.canadapost.ca/ws/soap/shipment/v8}ServiceCodeType"/>
 *         &lt;element name="return-recipient" type="{http://www.canadapost.ca/ws/soap/shipment/v8}ReturnRecipientType"/>
 *         &lt;element name="return-notification" type="{http://www.canadapost.ca/ws/soap/shipment/v8}EmailType" minOccurs="0"/>
 *       &lt;/all>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ReturnSpecType", propOrder = {

})
public class ReturnSpecType {

    @XmlElement(name = "service-code", required = true)
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String serviceCode;
    @XmlElement(name = "return-recipient", required = true)
    protected ReturnRecipientType returnRecipient;
    @XmlElement(name = "return-notification")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String returnNotification;

    /**
     * Gets the value of the serviceCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getServiceCode() {
        return serviceCode;
    }

    /**
     * Sets the value of the serviceCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setServiceCode(String value) {
        this.serviceCode = value;
    }

    /**
     * Gets the value of the returnRecipient property.
     * 
     * @return
     *     possible object is
     *     {@link ReturnRecipientType }
     *     
     */
    public ReturnRecipientType getReturnRecipient() {
        return returnRecipient;
    }

    /**
     * Sets the value of the returnRecipient property.
     * 
     * @param value
     *     allowed object is
     *     {@link ReturnRecipientType }
     *     
     */
    public void setReturnRecipient(ReturnRecipientType value) {
        this.returnRecipient = value;
    }

    /**
     * Gets the value of the returnNotification property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getReturnNotification() {
        return returnNotification;
    }

    /**
     * Sets the value of the returnNotification property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setReturnNotification(String value) {
        this.returnNotification = value;
    }

}
