
package ca.canadapost.cpcdp.shipping.stub.shipment;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for ShipmentDetailsType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ShipmentDetailsType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;all>
 *         &lt;element name="customer-request-id" type="{http://www.canadapost.ca/ws/soap/shipment/v8}CustomerRequestIdType" minOccurs="0"/>
 *         &lt;element name="shipment-status" type="{http://www.canadapost.ca/ws/soap/shipment/v8}ShipmentStatusType"/>
 *         &lt;element name="final-shipping-point" type="{http://www.canadapost.ca/ws/soap/shipment/v8}PostalCodeType"/>
 *         &lt;element name="tracking-pin" type="{http://www.canadapost.ca/ws/soap/shipment/v8}TrackingPINType" minOccurs="0"/>
 *         &lt;element name="po-number" type="{http://www.canadapost.ca/ws/soap/shipment/v8}PoNumberType" minOccurs="0"/>
 *         &lt;element name="shipping-point-id" type="{http://www.canadapost.ca/ws/soap/shipment/v8}OutletIDType" minOccurs="0"/>
 *         &lt;element name="cpc-pickup-indicator" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="shipment-detail">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;all>
 *                   &lt;element ref="{http://www.canadapost.ca/ws/soap/shipment/v8}groupIdOrTransmitShipment"/>
 *                   &lt;element name="quickship-label-requested" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *                   &lt;element name="expected-mailing-date" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
 *                   &lt;element name="delivery-spec">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;all>
 *                             &lt;element name="service-code" type="{http://www.canadapost.ca/ws/soap/shipment/v8}ServiceCodeType"/>
 *                             &lt;element name="sender" type="{http://www.canadapost.ca/ws/soap/shipment/v8}SenderType"/>
 *                             &lt;element name="destination" type="{http://www.canadapost.ca/ws/soap/shipment/v8}DestinationType"/>
 *                             &lt;element name="recipient" type="{http://www.canadapost.ca/ws/soap/shipment/v8}RecipientAddressType" minOccurs="0"/>
 *                             &lt;element name="options" minOccurs="0">
 *                               &lt;complexType>
 *                                 &lt;complexContent>
 *                                   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                                     &lt;sequence>
 *                                       &lt;element name="option" type="{http://www.canadapost.ca/ws/soap/shipment/v8}OptionType" maxOccurs="20"/>
 *                                     &lt;/sequence>
 *                                   &lt;/restriction>
 *                                 &lt;/complexContent>
 *                               &lt;/complexType>
 *                             &lt;/element>
 *                             &lt;element name="parcel-characteristics" type="{http://www.canadapost.ca/ws/soap/shipment/v8}ParcelCharacteristicsType"/>
 *                             &lt;element name="notification" type="{http://www.canadapost.ca/ws/soap/shipment/v8}NotificationType" minOccurs="0"/>
 *                             &lt;element name="print-preferences" type="{http://www.canadapost.ca/ws/soap/shipment/v8}PrintPreferencesType" minOccurs="0"/>
 *                             &lt;element name="preferences" type="{http://www.canadapost.ca/ws/soap/shipment/v8}PreferencesType"/>
 *                             &lt;element name="references" type="{http://www.canadapost.ca/ws/soap/shipment/v8}ReferencesType" minOccurs="0"/>
 *                             &lt;element name="customs" type="{http://www.canadapost.ca/ws/soap/shipment/v8}CustomsType" minOccurs="0"/>
 *                             &lt;element name="settlement-info" type="{http://www.canadapost.ca/ws/soap/shipment/v8}SettlementInfoType"/>
 *                           &lt;/all>
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                   &lt;element name="return-spec" type="{http://www.canadapost.ca/ws/soap/shipment/v8}ReturnSpecType" minOccurs="0"/>
 *                   &lt;element name="refund-request-info" type="{http://www.canadapost.ca/ws/soap/shipment/v8}ShipmentRefundRequestInfoType" minOccurs="0"/>
 *                 &lt;/all>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/all>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ShipmentDetailsType", propOrder = {

})
public class ShipmentDetailsType {

    @XmlElement(name = "customer-request-id")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String customerRequestId;
    @XmlElement(name = "shipment-status", required = true)
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String shipmentStatus;
    @XmlElement(name = "final-shipping-point", required = true)
    protected String finalShippingPoint;
    @XmlElement(name = "tracking-pin")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String trackingPin;
    @XmlElement(name = "po-number")
    protected String poNumber;
    @XmlElement(name = "shipping-point-id")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String shippingPointId;
    @XmlElement(name = "cpc-pickup-indicator")
    protected Boolean cpcPickupIndicator;
    @XmlElement(name = "shipment-detail", required = true)
    protected ShipmentDetailsType.ShipmentDetail shipmentDetail;

    /**
     * Gets the value of the customerRequestId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCustomerRequestId() {
        return customerRequestId;
    }

    /**
     * Sets the value of the customerRequestId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCustomerRequestId(String value) {
        this.customerRequestId = value;
    }

    /**
     * Gets the value of the shipmentStatus property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getShipmentStatus() {
        return shipmentStatus;
    }

    /**
     * Sets the value of the shipmentStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setShipmentStatus(String value) {
        this.shipmentStatus = value;
    }

    /**
     * Gets the value of the finalShippingPoint property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFinalShippingPoint() {
        return finalShippingPoint;
    }

    /**
     * Sets the value of the finalShippingPoint property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFinalShippingPoint(String value) {
        this.finalShippingPoint = value;
    }

    /**
     * Gets the value of the trackingPin property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTrackingPin() {
        return trackingPin;
    }

    /**
     * Sets the value of the trackingPin property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTrackingPin(String value) {
        this.trackingPin = value;
    }

    /**
     * Gets the value of the poNumber property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPoNumber() {
        return poNumber;
    }

    /**
     * Sets the value of the poNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPoNumber(String value) {
        this.poNumber = value;
    }

    /**
     * Gets the value of the shippingPointId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getShippingPointId() {
        return shippingPointId;
    }

    /**
     * Sets the value of the shippingPointId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setShippingPointId(String value) {
        this.shippingPointId = value;
    }

    /**
     * Gets the value of the cpcPickupIndicator property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isCpcPickupIndicator() {
        return cpcPickupIndicator;
    }

    /**
     * Sets the value of the cpcPickupIndicator property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setCpcPickupIndicator(Boolean value) {
        this.cpcPickupIndicator = value;
    }

    /**
     * Gets the value of the shipmentDetail property.
     * 
     * @return
     *     possible object is
     *     {@link ShipmentDetailsType.ShipmentDetail }
     *     
     */
    public ShipmentDetailsType.ShipmentDetail getShipmentDetail() {
        return shipmentDetail;
    }

    /**
     * Sets the value of the shipmentDetail property.
     * 
     * @param value
     *     allowed object is
     *     {@link ShipmentDetailsType.ShipmentDetail }
     *     
     */
    public void setShipmentDetail(ShipmentDetailsType.ShipmentDetail value) {
        this.shipmentDetail = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;all>
     *         &lt;element ref="{http://www.canadapost.ca/ws/soap/shipment/v8}groupIdOrTransmitShipment"/>
     *         &lt;element name="quickship-label-requested" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
     *         &lt;element name="expected-mailing-date" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
     *         &lt;element name="delivery-spec">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;all>
     *                   &lt;element name="service-code" type="{http://www.canadapost.ca/ws/soap/shipment/v8}ServiceCodeType"/>
     *                   &lt;element name="sender" type="{http://www.canadapost.ca/ws/soap/shipment/v8}SenderType"/>
     *                   &lt;element name="destination" type="{http://www.canadapost.ca/ws/soap/shipment/v8}DestinationType"/>
     *                   &lt;element name="recipient" type="{http://www.canadapost.ca/ws/soap/shipment/v8}RecipientAddressType" minOccurs="0"/>
     *                   &lt;element name="options" minOccurs="0">
     *                     &lt;complexType>
     *                       &lt;complexContent>
     *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                           &lt;sequence>
     *                             &lt;element name="option" type="{http://www.canadapost.ca/ws/soap/shipment/v8}OptionType" maxOccurs="20"/>
     *                           &lt;/sequence>
     *                         &lt;/restriction>
     *                       &lt;/complexContent>
     *                     &lt;/complexType>
     *                   &lt;/element>
     *                   &lt;element name="parcel-characteristics" type="{http://www.canadapost.ca/ws/soap/shipment/v8}ParcelCharacteristicsType"/>
     *                   &lt;element name="notification" type="{http://www.canadapost.ca/ws/soap/shipment/v8}NotificationType" minOccurs="0"/>
     *                   &lt;element name="print-preferences" type="{http://www.canadapost.ca/ws/soap/shipment/v8}PrintPreferencesType" minOccurs="0"/>
     *                   &lt;element name="preferences" type="{http://www.canadapost.ca/ws/soap/shipment/v8}PreferencesType"/>
     *                   &lt;element name="references" type="{http://www.canadapost.ca/ws/soap/shipment/v8}ReferencesType" minOccurs="0"/>
     *                   &lt;element name="customs" type="{http://www.canadapost.ca/ws/soap/shipment/v8}CustomsType" minOccurs="0"/>
     *                   &lt;element name="settlement-info" type="{http://www.canadapost.ca/ws/soap/shipment/v8}SettlementInfoType"/>
     *                 &lt;/all>
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *         &lt;element name="return-spec" type="{http://www.canadapost.ca/ws/soap/shipment/v8}ReturnSpecType" minOccurs="0"/>
     *         &lt;element name="refund-request-info" type="{http://www.canadapost.ca/ws/soap/shipment/v8}ShipmentRefundRequestInfoType" minOccurs="0"/>
     *       &lt;/all>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {

    })
    public static class ShipmentDetail {

        @XmlElementRef(name = "groupIdOrTransmitShipment", namespace = "http://www.canadapost.ca/ws/soap/shipment/v8", type = JAXBElement.class)
        protected JAXBElement<?> groupIdOrTransmitShipment;
        @XmlElement(name = "quickship-label-requested")
        protected Boolean quickshipLabelRequested;
        @XmlElement(name = "expected-mailing-date")
        @XmlSchemaType(name = "date")
        protected XMLGregorianCalendar expectedMailingDate;
        @XmlElement(name = "delivery-spec", required = true)
        protected ShipmentDetailsType.ShipmentDetail.DeliverySpec deliverySpec;
        @XmlElement(name = "return-spec")
        protected ReturnSpecType returnSpec;
        @XmlElement(name = "refund-request-info")
        protected ShipmentRefundRequestInfoType refundRequestInfo;

        /**
         * Gets the value of the groupIdOrTransmitShipment property.
         * 
         * @return
         *     possible object is
         *     {@link JAXBElement }{@code <}{@link Object }{@code >}
         *     {@link JAXBElement }{@code <}{@link String }{@code >}
         *     {@link JAXBElement }{@code <}{@link Boolean }{@code >}
         *     
         */
        public JAXBElement<?> getGroupIdOrTransmitShipment() {
            return groupIdOrTransmitShipment;
        }

        /**
         * Sets the value of the groupIdOrTransmitShipment property.
         * 
         * @param value
         *     allowed object is
         *     {@link JAXBElement }{@code <}{@link Object }{@code >}
         *     {@link JAXBElement }{@code <}{@link String }{@code >}
         *     {@link JAXBElement }{@code <}{@link Boolean }{@code >}
         *     
         */
        public void setGroupIdOrTransmitShipment(JAXBElement<?> value) {
            this.groupIdOrTransmitShipment = value;
        }

        /**
         * Gets the value of the quickshipLabelRequested property.
         * 
         * @return
         *     possible object is
         *     {@link Boolean }
         *     
         */
        public Boolean isQuickshipLabelRequested() {
            return quickshipLabelRequested;
        }

        /**
         * Sets the value of the quickshipLabelRequested property.
         * 
         * @param value
         *     allowed object is
         *     {@link Boolean }
         *     
         */
        public void setQuickshipLabelRequested(Boolean value) {
            this.quickshipLabelRequested = value;
        }

        /**
         * Gets the value of the expectedMailingDate property.
         * 
         * @return
         *     possible object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public XMLGregorianCalendar getExpectedMailingDate() {
            return expectedMailingDate;
        }

        /**
         * Sets the value of the expectedMailingDate property.
         * 
         * @param value
         *     allowed object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public void setExpectedMailingDate(XMLGregorianCalendar value) {
            this.expectedMailingDate = value;
        }

        /**
         * Gets the value of the deliverySpec property.
         * 
         * @return
         *     possible object is
         *     {@link ShipmentDetailsType.ShipmentDetail.DeliverySpec }
         *     
         */
        public ShipmentDetailsType.ShipmentDetail.DeliverySpec getDeliverySpec() {
            return deliverySpec;
        }

        /**
         * Sets the value of the deliverySpec property.
         * 
         * @param value
         *     allowed object is
         *     {@link ShipmentDetailsType.ShipmentDetail.DeliverySpec }
         *     
         */
        public void setDeliverySpec(ShipmentDetailsType.ShipmentDetail.DeliverySpec value) {
            this.deliverySpec = value;
        }

        /**
         * Gets the value of the returnSpec property.
         * 
         * @return
         *     possible object is
         *     {@link ReturnSpecType }
         *     
         */
        public ReturnSpecType getReturnSpec() {
            return returnSpec;
        }

        /**
         * Sets the value of the returnSpec property.
         * 
         * @param value
         *     allowed object is
         *     {@link ReturnSpecType }
         *     
         */
        public void setReturnSpec(ReturnSpecType value) {
            this.returnSpec = value;
        }

        /**
         * Gets the value of the refundRequestInfo property.
         * 
         * @return
         *     possible object is
         *     {@link ShipmentRefundRequestInfoType }
         *     
         */
        public ShipmentRefundRequestInfoType getRefundRequestInfo() {
            return refundRequestInfo;
        }

        /**
         * Sets the value of the refundRequestInfo property.
         * 
         * @param value
         *     allowed object is
         *     {@link ShipmentRefundRequestInfoType }
         *     
         */
        public void setRefundRequestInfo(ShipmentRefundRequestInfoType value) {
            this.refundRequestInfo = value;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;all>
         *         &lt;element name="service-code" type="{http://www.canadapost.ca/ws/soap/shipment/v8}ServiceCodeType"/>
         *         &lt;element name="sender" type="{http://www.canadapost.ca/ws/soap/shipment/v8}SenderType"/>
         *         &lt;element name="destination" type="{http://www.canadapost.ca/ws/soap/shipment/v8}DestinationType"/>
         *         &lt;element name="recipient" type="{http://www.canadapost.ca/ws/soap/shipment/v8}RecipientAddressType" minOccurs="0"/>
         *         &lt;element name="options" minOccurs="0">
         *           &lt;complexType>
         *             &lt;complexContent>
         *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *                 &lt;sequence>
         *                   &lt;element name="option" type="{http://www.canadapost.ca/ws/soap/shipment/v8}OptionType" maxOccurs="20"/>
         *                 &lt;/sequence>
         *               &lt;/restriction>
         *             &lt;/complexContent>
         *           &lt;/complexType>
         *         &lt;/element>
         *         &lt;element name="parcel-characteristics" type="{http://www.canadapost.ca/ws/soap/shipment/v8}ParcelCharacteristicsType"/>
         *         &lt;element name="notification" type="{http://www.canadapost.ca/ws/soap/shipment/v8}NotificationType" minOccurs="0"/>
         *         &lt;element name="print-preferences" type="{http://www.canadapost.ca/ws/soap/shipment/v8}PrintPreferencesType" minOccurs="0"/>
         *         &lt;element name="preferences" type="{http://www.canadapost.ca/ws/soap/shipment/v8}PreferencesType"/>
         *         &lt;element name="references" type="{http://www.canadapost.ca/ws/soap/shipment/v8}ReferencesType" minOccurs="0"/>
         *         &lt;element name="customs" type="{http://www.canadapost.ca/ws/soap/shipment/v8}CustomsType" minOccurs="0"/>
         *         &lt;element name="settlement-info" type="{http://www.canadapost.ca/ws/soap/shipment/v8}SettlementInfoType"/>
         *       &lt;/all>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {

        })
        public static class DeliverySpec {

            @XmlElement(name = "service-code", required = true)
            @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
            protected String serviceCode;
            @XmlElement(required = true)
            protected SenderType sender;
            @XmlElement(required = true)
            protected DestinationType destination;
            protected RecipientAddressType recipient;
            protected ShipmentDetailsType.ShipmentDetail.DeliverySpec.Options options;
            @XmlElement(name = "parcel-characteristics", required = true)
            protected ParcelCharacteristicsType parcelCharacteristics;
            protected NotificationType notification;
            @XmlElement(name = "print-preferences")
            protected PrintPreferencesType printPreferences;
            @XmlElement(required = true)
            protected PreferencesType preferences;
            protected ReferencesType references;
            protected CustomsType customs;
            @XmlElement(name = "settlement-info", required = true)
            protected SettlementInfoType settlementInfo;

            /**
             * Gets the value of the serviceCode property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getServiceCode() {
                return serviceCode;
            }

            /**
             * Sets the value of the serviceCode property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setServiceCode(String value) {
                this.serviceCode = value;
            }

            /**
             * Gets the value of the sender property.
             * 
             * @return
             *     possible object is
             *     {@link SenderType }
             *     
             */
            public SenderType getSender() {
                return sender;
            }

            /**
             * Sets the value of the sender property.
             * 
             * @param value
             *     allowed object is
             *     {@link SenderType }
             *     
             */
            public void setSender(SenderType value) {
                this.sender = value;
            }

            /**
             * Gets the value of the destination property.
             * 
             * @return
             *     possible object is
             *     {@link DestinationType }
             *     
             */
            public DestinationType getDestination() {
                return destination;
            }

            /**
             * Sets the value of the destination property.
             * 
             * @param value
             *     allowed object is
             *     {@link DestinationType }
             *     
             */
            public void setDestination(DestinationType value) {
                this.destination = value;
            }

            /**
             * Gets the value of the recipient property.
             * 
             * @return
             *     possible object is
             *     {@link RecipientAddressType }
             *     
             */
            public RecipientAddressType getRecipient() {
                return recipient;
            }

            /**
             * Sets the value of the recipient property.
             * 
             * @param value
             *     allowed object is
             *     {@link RecipientAddressType }
             *     
             */
            public void setRecipient(RecipientAddressType value) {
                this.recipient = value;
            }

            /**
             * Gets the value of the options property.
             * 
             * @return
             *     possible object is
             *     {@link ShipmentDetailsType.ShipmentDetail.DeliverySpec.Options }
             *     
             */
            public ShipmentDetailsType.ShipmentDetail.DeliverySpec.Options getOptions() {
                return options;
            }

            /**
             * Sets the value of the options property.
             * 
             * @param value
             *     allowed object is
             *     {@link ShipmentDetailsType.ShipmentDetail.DeliverySpec.Options }
             *     
             */
            public void setOptions(ShipmentDetailsType.ShipmentDetail.DeliverySpec.Options value) {
                this.options = value;
            }

            /**
             * Gets the value of the parcelCharacteristics property.
             * 
             * @return
             *     possible object is
             *     {@link ParcelCharacteristicsType }
             *     
             */
            public ParcelCharacteristicsType getParcelCharacteristics() {
                return parcelCharacteristics;
            }

            /**
             * Sets the value of the parcelCharacteristics property.
             * 
             * @param value
             *     allowed object is
             *     {@link ParcelCharacteristicsType }
             *     
             */
            public void setParcelCharacteristics(ParcelCharacteristicsType value) {
                this.parcelCharacteristics = value;
            }

            /**
             * Gets the value of the notification property.
             * 
             * @return
             *     possible object is
             *     {@link NotificationType }
             *     
             */
            public NotificationType getNotification() {
                return notification;
            }

            /**
             * Sets the value of the notification property.
             * 
             * @param value
             *     allowed object is
             *     {@link NotificationType }
             *     
             */
            public void setNotification(NotificationType value) {
                this.notification = value;
            }

            /**
             * Gets the value of the printPreferences property.
             * 
             * @return
             *     possible object is
             *     {@link PrintPreferencesType }
             *     
             */
            public PrintPreferencesType getPrintPreferences() {
                return printPreferences;
            }

            /**
             * Sets the value of the printPreferences property.
             * 
             * @param value
             *     allowed object is
             *     {@link PrintPreferencesType }
             *     
             */
            public void setPrintPreferences(PrintPreferencesType value) {
                this.printPreferences = value;
            }

            /**
             * Gets the value of the preferences property.
             * 
             * @return
             *     possible object is
             *     {@link PreferencesType }
             *     
             */
            public PreferencesType getPreferences() {
                return preferences;
            }

            /**
             * Sets the value of the preferences property.
             * 
             * @param value
             *     allowed object is
             *     {@link PreferencesType }
             *     
             */
            public void setPreferences(PreferencesType value) {
                this.preferences = value;
            }

            /**
             * Gets the value of the references property.
             * 
             * @return
             *     possible object is
             *     {@link ReferencesType }
             *     
             */
            public ReferencesType getReferences() {
                return references;
            }

            /**
             * Sets the value of the references property.
             * 
             * @param value
             *     allowed object is
             *     {@link ReferencesType }
             *     
             */
            public void setReferences(ReferencesType value) {
                this.references = value;
            }

            /**
             * Gets the value of the customs property.
             * 
             * @return
             *     possible object is
             *     {@link CustomsType }
             *     
             */
            public CustomsType getCustoms() {
                return customs;
            }

            /**
             * Sets the value of the customs property.
             * 
             * @param value
             *     allowed object is
             *     {@link CustomsType }
             *     
             */
            public void setCustoms(CustomsType value) {
                this.customs = value;
            }

            /**
             * Gets the value of the settlementInfo property.
             * 
             * @return
             *     possible object is
             *     {@link SettlementInfoType }
             *     
             */
            public SettlementInfoType getSettlementInfo() {
                return settlementInfo;
            }

            /**
             * Sets the value of the settlementInfo property.
             * 
             * @param value
             *     allowed object is
             *     {@link SettlementInfoType }
             *     
             */
            public void setSettlementInfo(SettlementInfoType value) {
                this.settlementInfo = value;
            }


            /**
             * <p>Java class for anonymous complex type.
             * 
             * <p>The following schema fragment specifies the expected content contained within this class.
             * 
             * <pre>
             * &lt;complexType>
             *   &lt;complexContent>
             *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             *       &lt;sequence>
             *         &lt;element name="option" type="{http://www.canadapost.ca/ws/soap/shipment/v8}OptionType" maxOccurs="20"/>
             *       &lt;/sequence>
             *     &lt;/restriction>
             *   &lt;/complexContent>
             * &lt;/complexType>
             * </pre>
             * 
             * 
             */
            @XmlAccessorType(XmlAccessType.FIELD)
            @XmlType(name = "", propOrder = {
                "option"
            })
            public static class Options {

                @XmlElement(required = true)
                protected List<OptionType> option;

                /**
                 * Gets the value of the option property.
                 * 
                 * <p>
                 * This accessor method returns a reference to the live list,
                 * not a snapshot. Therefore any modification you make to the
                 * returned list will be present inside the JAXB object.
                 * This is why there is not a <CODE>set</CODE> method for the option property.
                 * 
                 * <p>
                 * For example, to add a new item, do as follows:
                 * <pre>
                 *    getOption().add(newItem);
                 * </pre>
                 * 
                 * 
                 * <p>
                 * Objects of the following type(s) are allowed in the list
                 * {@link OptionType }
                 * 
                 * 
                 */
                public List<OptionType> getOption() {
                    if (option == null) {
                        option = new ArrayList<OptionType>();
                    }
                    return this.option;
                }

            }

        }

    }

}
